measuresdata(1)

NAME

measuresdata - read IERS and other data for Measure conversion

SYNOPSIS

measuresdata [key=value ... ]

DESCRIPTION
The measuresdata program is able to analyse ascii tables (or sinex files or xml files) and convert them into casa Tables which can be used by e.g. the Measures class.

The files have to be obtained by other means (e.g. a python script, manually or another script (e.g. the provided measuresdata.csh tcsh script.

  Normal operation

1.  Call the program measuresdata. The program can have arguments (see later, but the defaults suffice. The program will produce a cout log.

2.  The program will return with either a failure status or with success status. In latter case a resource file (measuresdata.rc) will be present. This file will have format:

     status: [end|cont]
     ftp: <node-address>
     dir: <ftp-directory>
     file: <ftp-file>
     data: ascii
     arg: <arguments to call back to measuresdata>

    If the status is given as 'end' the program is finished; if it is given as 'cont' the script should obtain the file given by ftp, dir and file and call measuresdata back with all the info in arg.

3.  Loop with calls to measuresdata

OPTIONS

The arguments to measuresdata are given in casa 'Inputs' format. I.e. as 'key=value'. In the following the key is followed by default.

type=ALL|IERS|JPL|TAI_UTC|....
    Type(s) of tables to produce. Default: all

in=<filename>|-
    Input ascii file. Normally determined by measuresdata program. Default: -

refresh=y|n
    Force a table refresh within the minimum refresh period. Default: n

renew=y|n
    Force a table renew, rather than an update, if table has to be refreshed. Default: n

derange=yyyy,yyyy
    The wanted range for the JPL planetary tables. Default: 1960,now+20

dir=<filename>
    Base directory for tables. Default: .